=== debian/changelog ===
appstream (0.7.2-1) unstable; urgency=medium

  * New upstream release: 0.7.2
  * Add very simple autopkgtest

 -- Matthias Klumpp <mak@debian.org>  Mon, 22 Sep 2014 16:14:28 +0200

appstream (0.7.1-1) unstable; urgency=medium

  * New upstream release: 0.7.1
    - Closes: #760654
  * Drop patches: Applied upstream

 -- Matthias Klumpp <mak@debian.org>  Mon, 08 Sep 2014 18:40:56 +0200

appstream (0.7.0-2) unstable; urgency=medium

  * appstream-doc: Install the whole AppStream documentation
  * Make appstream-index recommendation less strict (Closes: #755393)

 -- Matthias Klumpp <mak@debian.org>  Sun, 20 Jul 2014 21:04:48 +0200

appstream (0.7.0-1) unstable; urgency=medium

  * New upstream release: 0.7.0
  * Update project homepage url
  * Enable docs and qt library
  * asqt_installpaths.patch: Install Qt library to multiarch paths

 -- Matthias Klumpp <mak@debian.org>  Wed, 16 Jul 2014 16:24:48 +0200

appstream (0.6.2-1) unstable; urgency=medium

  * New upstream bugfix release: 0.6.2
  * Force-upgrade database on package installation,
    instead of doing a deferred upgrade

 -- Matthias Klumpp <mak@debian.org>  Mon, 12 May 2014 18:40:58 +0200

appstream (0.6.1-1) unstable; urgency=low

  * New upstream release: 0.6.1
  * Drop all patches: Applied upstream
  * Bump standards version: No changes needed

 -- Matthias Klumpp <mak@debian.org>  Sat, 26 Apr 2014 18:42:14 +0200

appstream (0.6.0-1) unstable; urgency=low

  * New upstream release: 0.6
  * fix-pkgconfig.patch: Fix prefix in libappstream pkg-config file

 -- Matthias Klumpp <mak@debian.org>  Wed, 16 Apr 2014 20:44:36 +0200

appstream (0.5.0-1) unstable; urgency=low

  * New upstream release: 0.5
  * Simplify rebuild-trigger in postinst script
  * Remove obsolete config-file (Closes: #727121)
  * Tighten dependency on GLib
  * Drop all patches: Applied upstream

 -- Matthias Klumpp <mak@debian.org>  Sun, 23 Feb 2014 20:34:26 +0100
