## appstream 0.7.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 set(AS_VERSION_MAJOR  "0")
 set(AS_VERSION_MINOR  "7")
-set(AS_VERSION_PATCH  "2")
+set(AS_VERSION_PATCH  "3")
 set(AS_VERSION "${AS_VERSION_MAJOR}.${AS_VERSION_MINOR}.${AS_VERSION_PATCH}")
 set(APPSTREAM_LIB_API_LEVEL "1")
