=== debian/changelog ===
appstream (0.7.3-1) unstable; urgency=medium

  * New upstream bugfix release: 0.7.3

 -- Matthias Klumpp <mak@debian.org>  Fri, 10 Oct 2014 16:10:34 +0200
