=== debian/control ===
Source: appstream
Section: admin
Priority: optional
Maintainer: Matthias Klumpp <mak@debian.org>
Build-Depends: cmake (>= 2.8),
               debhelper (>= 9.0.0),
               gtk-doc-tools,
               intltool,
               libdbus-glib-1-dev,
               libgirepository1.0-dev (>= 1.32),
               libglib2.0-dev (>= 2.40),
               libqt4-dev,
               libxapian-dev (>= 1.2.12),
               libxml2-dev (>= 2.8.0),
               libyaml-dev,
               xmlto
Standards-Version: 3.9.6
Homepage: http://www.freedesktop.org/wiki/Distributions/AppStream/
Vcs-Git: git://anonscm.debian.org/pkg-packagekit/appstream.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-packagekit/appstream.git

Package: appstream-index
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Software component index generator
 AppStream is a cross-distribution effort for creating and sharing
 metadata about software components available in the package repositories
 of a distribution.
 It provides specifications for an unified software component metadata database,
 screenshot services and various other things needed to make handling
 of software smarter. Also, the AppStream data allows building
 application-centric software management tools.
 .
 This package provides tools to generate, maintain and
 access the AppStream database of installed and available applications.

Package: libappstream1
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: appstream-index (>= ${binary:Version})
Description: Library to access AppStream services
 AppStream is a cross-distribution effort for creating and sharing
 metadata about software components available in the package repositories
 of a distribution.
 It provides specifications for an unified software component metadata database
 and various other things needed to make handling of software smarter.
 .
 This package contains a GObject-based library to access AppStream
 services, like the software component metadata database.

Package: libappstream-dev
Architecture: any
Section: libdevel
Depends: libappstream1 (= ${binary:Version}),
         libglib2.0-dev (>= 2.40),
         ${misc:Depends}
Description: Library to access AppStream services (development files)
 AppStream is a cross-distribution effort for creating and sharing
 metadata about software components available in the package repositories
 of a distribution.
 It provides specifications for an unified software component metadata database
 and various other things needed to make handling of software smarter.
 .
 This package contains development files necessary to develop
 software-management tools which use the AppStream library.

Package: gir1.2-appstream
Architecture: any
Section: introspection
Depends: gir1.2-freedesktop (>= 1.32),
         gir1.2-glib-2.0 (>= 1.40),
         libappstream1 (= ${binary:Version}),
         ${misc:Depends}
Description: Library to access AppStream services (introspection data)
 AppStream is a cross-distribution effort for creating and sharing
 metadata about software components available in the package repositories
 of a distribution.
 It provides specifications for an unified software component metadata database
 and various other things needed to make handling of software smarter.
 .
 This package contains introspection data for the AppStream library.

Package: libappstreamqt0
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: appstream-index (>= ${binary:Version})
Description: Qt4 library to access AppStream services
 AppStream is a cross-distribution effort for creating and sharing
 metadata about software components available in the package repositories
 of a distribution.
 It provides specifications for an unified software component metadata database
 and various other things needed to make handling of software smarter.
 .
 This package contains a Qt-based library to access AppStream
 services, like the software component metadata database.

Package: libappstreamqt-dev
Architecture: any
Section: libdevel
Depends: libappstreamqt0 (= ${binary:Version}),
         libqt4-dev,
         ${misc:Depends}
Description: Qt4 library to access AppStream services (development files)
 AppStream is a cross-distribution effort for creating and sharing
 metadata about software components available in the package repositories
 of a distribution.
 It provides specifications for an unified software component metadata database
 and various other things needed to make handling of software smarter.
 .
 This package contains development files necessary to develop
 software-management tools which use the Qt4-based AppStream library.

Package: appstream-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: appstream-index
Description: Developer documentation for AppStream
 AppStream is a cross-distribution effort for creating and sharing
 metadata about software components available in the package repositories
 of a distribution.
 It provides specifications for an unified software component metadata database
 and various other things needed to make handling of software smarter.
 .
 This package provides developer documentation for AppStream.
