=== debian/tests/control ===
Tests: build
Depends: libappstream-dev, build-essential
