=== debian/changelog ===
appstream (0.7.4-2tanglu1) staging; urgency=medium

  * Depend on the appstream-data package

 -- Matthias Klumpp <mak@debian.org>  Mon, 24 Nov 2014 21:38:24 +0100

appstream (0.7.4-2) unstable; urgency=medium

  * Fix memory leak while parsing DEP-11 data
  * Return the right component name, instead of the origin

 -- Matthias Klumpp <mak@debian.org>  Mon, 24 Nov 2014 21:28:34 +0100

appstream (0.7.4-1) unstable; urgency=medium

  * New upstream release: 0.7.4

 -- Matthias Klumpp <mak@debian.org>  Thu, 30 Oct 2014 18:42:06 +0100
