=== debian/control ===
--- 
+++ 
@@ -21,19 +21,20 @@
 
 Package: appstream-index
 Architecture: any
-Depends: ${misc:Depends},
+Depends: appstream-data,
+         ${misc:Depends},
          ${shlibs:Depends}
 Description: Software component index generator
  AppStream is a cross-distribution effort for creating and sharing
  metadata about software components available in the package repositories
  of a distribution.
- It provides specifications for an unified software component metadata database,
+ It provides specifications for an unified software component metadata format,
  screenshot services and various other things needed to make handling
  of software smarter. Also, the AppStream data allows building
  application-centric software management tools.
  .
- This package provides tools to generate, maintain and
- access the AppStream database of installed and available applications.
+ This package provides tools to generate, maintain and access the
+ AppStream database of installed and available applications.
 
 Package: libappstream1
 Architecture: any
@@ -47,7 +48,7 @@
  AppStream is a cross-distribution effort for creating and sharing
  metadata about software components available in the package repositories
  of a distribution.
- It provides specifications for an unified software component metadata database
+ It provides specifications for an unified software component metadata format
  and various other things needed to make handling of software smarter.
  .
  This package contains a GObject-based library to access AppStream
@@ -63,7 +64,7 @@
  AppStream is a cross-distribution effort for creating and sharing
  metadata about software components available in the package repositories
  of a distribution.
- It provides specifications for an unified software component metadata database
+ It provides specifications for an unified software component metadata format
  and various other things needed to make handling of software smarter.
  .
  This package contains development files necessary to develop
@@ -80,7 +81,7 @@
  AppStream is a cross-distribution effort for creating and sharing
  metadata about software components available in the package repositories
  of a distribution.
- It provides specifications for an unified software component metadata database
+ It provides specifications for an unified software component metadata format
  and various other things needed to make handling of software smarter.
  .
  This package contains introspection data for the AppStream library.
@@ -97,7 +98,7 @@
  AppStream is a cross-distribution effort for creating and sharing
  metadata about software components available in the package repositories
  of a distribution.
- It provides specifications for an unified software component metadata database
+ It provides specifications for an unified software component metadata format
  and various other things needed to make handling of software smarter.
  .
  This package contains a Qt-based library to access AppStream
@@ -113,7 +114,7 @@
  AppStream is a cross-distribution effort for creating and sharing
  metadata about software components available in the package repositories
  of a distribution.
- It provides specifications for an unified software component metadata database
+ It provides specifications for an unified software component metadata format
  and various other things needed to make handling of software smarter.
  .
  This package contains development files necessary to develop
@@ -128,7 +129,7 @@
  AppStream is a cross-distribution effort for creating and sharing
  metadata about software components available in the package repositories
  of a distribution.
- It provides specifications for an unified software component metadata database
+ It provides specifications for an unified software component metadata format
  and various other things needed to make handling of software smarter.
  .
  This package provides developer documentation for AppStream.
