## appstream 0.8.2

=== debian/changelog ===
appstream (0.8.2-1) unstable; urgency=medium

  * New upstream release: 0.8.2
    - Closes: #783392
    - This release drops support for Ubuntu AppInstall.
      Having DEP-11 YAML or AppStream XML is now mandatory.
  * Fix the package tests

 -- Matthias Klumpp <mak@debian.org>  Sun, 28 Jun 2015 18:56:06 +0200

appstream (0.8.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Matthias Klumpp <mak@debian.org>  Sun, 21 Jun 2015 12:06:14 +0200

appstream (0.8.0-1) experimental; urgency=medium

  * New upstream release: 0.8.0
  * The Qt library is now built against Qt5 by default

 -- Matthias Klumpp <mak@debian.org>  Mon, 26 Jan 2015 20:16:54 +0100

appstream (0.7.6-1) experimental; urgency=medium

  * New upstream release: 0.7.6
  * Adjust packaging to soname change
  * Drop all patches: Applied upstream
  * Adjust autopkgtest

 -- Matthias Klumpp <mak@debian.org>  Wed, 14 Jan 2015 21:16:08 +0100
